# class Tk::Iwidgets::Messagebox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

clear() click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 79
    def clear
      tk_call(@path, 'clear')
      self
    end

export(file) click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 84
    def export(file)
      tk_call(@path, 'export', file)
      self
    end

issue(string, type=None, *args) click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 89
    def issue(string, type=None, *args)
      tk_call(@path, 'issue', string, tagid(type), *args)
      self
    end

tagid(tagOrId) click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 36
    def tagid(tagOrId)
      if tagOrId.kind_of?(Tk::Itk::Component)
        tagOrId.name
      else
        #_get_eval_string(tagOrId)
        tagOrId
      end
    end

type_add(tag=nil, keys={}) click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 67
    def type_add(tag=nil, keys={})
      if tag.kind_of?(Hash)
        keys = tag
        tag = nil
      end
      unless tag
        tag = Tk::Itk::Component.new(self)
      end
      tk_call(@path, 'type', 'add', tagid(tag), *hash_kv(keys))
      tag
    end

### Private Instance Methods

__item_boolval_optkeys(id) click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/messagebox.rb, line 45
    def __item_boolval_optkeys(id)
      super(id) << 'bell' << 'show'
    end

__item_cget_cmd(id) click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 26
    def __item_cget_cmd(id)
      [self.path, 'type', 'cget', id]
    end

__item_config_cmd(id) click to toggle source

    # File lib/tkextlib/iwidgets/messagebox.rb, line 31
    def __item_config_cmd(id)
      [self.path, 'type', 'configure', id]
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Iwidgets::Labeledwidget#__strval_optkeys

    # File lib/tkextlib/iwidgets/messagebox.rb, line 62
    def __strval_optkeys
      super() << 'filename' << 'savedir'
    end